aboutsummaryrefslogtreecommitdiffstats
path: root/run_tests.sh
diff options
context:
space:
mode:
authorkubi <jean.gaoliang@huawei.com>2015-09-14 02:50:50 -0400
committerkubi <jean.gaoliang@huawei.com>2015-10-28 11:21:26 +0800
commit607148f8e4eb4ebb443dd5098b4fea5f880f9fbb (patch)
treef220a594c6688144d2ebcfea5b4f14f98190179c /run_tests.sh
parentf37d291f6397891cd0dc37c6140b114868921b61 (diff)
part 2 :add coverage report in Jenkins for Yardstick
this part is focus on script on run coverage test,not only show missing lines but also show diff between your patch and master, actually,it produce a html for coverage,but now ,it just on your local machine extra missing lines is 10-lines,final target is 4-lines JIRA:YARDSTICK-108 Change-Id: I550dff51d6f89562447e12127646155325e38a4a Signed-off-by: kubi <jean.gaoliang@huawei.com>
Diffstat (limited to 'run_tests.sh')
-rwxr-xr-xrun_tests.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/run_tests.sh b/run_tests.sh
index b4ddc94ce..d1567af9c 100755
--- a/run_tests.sh
+++ b/run_tests.sh
@@ -53,6 +53,11 @@ run_tests() {
fi
}
+run_coverage() {
+ source ci/cover.sh
+ run_coverage_test
+}
+
run_functional_test() {
mkdir -p .testrepository
@@ -62,8 +67,14 @@ run_functional_test() {
EXIT_CODE=$?
subunit-stats < .testrepository/subunit.log
- exit $EXIT_CODE
+ if [ $EXIT_CODE -ne 0 ]; then
+ exit 1
+ else
+ echo "OK"
+ fi
}
+
run_flake8
run_tests
+run_coverage
run_functional_test